%define upstream_name Pango
%define upstream_version 1.227
%define perl_glib_require 1.220

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2
Summary:	Perl module for the Pango library
License:	GPL or Artistic
Group:	  	Development/GNOME and GTK+
Source:		http://search.cpan.org/CPAN/authors/id/X/XA/XAOC/%{upstream_name}-%{upstream_version}.tar.gz
URL:		http://search.cpan.org/dist/%{upstream_name}
BuildRequires:	perl-devel
BuildRequires:	perl-ExtUtils-Depends >= 0.300
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.03
BuildRequires:	perl-Glib >= %perl_glib_require
BuildRequires:	pkgconfig(pango) 
BuildRequires:	perl-Cairo
# for test suite:
#BuildRequires:	fontconfig
#BuildRequires:	fonts-ttf-dejavu
Requires:	perl-Glib >= %perl_glib_require


%{?perl_default_filter}

%description
This module provides perl access to the gtk+-2.x library.

Pango is a library for laying out and rendering text, with an emphasis on
internationalization. Pango can be used anywhere that text layout is needed,
but using Pango in conjunction with Cairo and/or Gtk2 provides a complete
solution with high quality text handling and graphics rendering.

%package doc
Summary: Pango documentation
Group:   Documentation

%description doc
This package contains documentation of the Pango module.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0
perl Makefile.PL INSTALLDIRS=vendor

%build
%make_build OPTIMIZE="%{optflags}"

%check
#xvfb-run make test

%install
%make_install

%files
%doc AUTHORS LICENSE META.yml
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}.pm
%{perl_vendorarch}/%{upstream_name}/*/*.pm
%{perl_vendorarch}/%{upstream_name}/Install
%{perl_vendorarch}/auto/*

%files doc
%doc examples
%{_mandir}/*/*
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}/*.pod
%{perl_vendorarch}/%{upstream_name}/*/*.pod


%changelog
* Thu May 12 2016 tv <tv> 1.227.0-2.mga6
+ Revision: 1014131
- use std build macros; prevent commented out macros to break build

* Mon Feb 01 2016 tv <tv> 1.227.0-1.mga6
+ Revision: 930498
- drop merged patch
- new release
- switch to pkgconfig() BRs

* Thu Oct 15 2015 tv <tv> 1.226.0-2.mga6
+ Revision: 891884
- patch 0: fix linking

* Mon Jul 20 2015 sander85 <sander85> 1.226.0-1.mga6
+ Revision: 855748
- Update spec

* Fri Jun 26 2015 tv <tv> 1.226-7.mga6
+ Revision: 845066
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.226-6.mga6
+ Revision: 840917
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.226-5.mga5
+ Revision: 744251
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.226-4.mga5
+ Revision: 733210
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.226-3.mga5
+ Revision: 685875
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 tv <tv> 1.226-2.mga5
+ Revision: 632060
- rebuild for new perl

* Wed Feb 19 2014 tv <tv> 1.226-1.mga5
+ Revision: 594908
- new release

* Thu Feb 06 2014 tv <tv> 1.225-1.mga5
+ Revision: 584729
- new release

* Sat Oct 19 2013 umeabot <umeabot> 1.224-3.mga4
+ Revision: 524077
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 1.224-2.mga4
+ Revision: 429946
- rebuild for new perl
- new release

* Sun Jan 13 2013 umeabot <umeabot> 1.223-4.mga3
+ Revision: 371454
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 1.223-3.mga3
+ Revision: 304081
- fix RPM group

* Wed May 30 2012 jquelin <jquelin> 1.223-2.mga3
+ Revision: 251012
- rebuild for perl 5.16

* Mon Nov 21 2011 tv <tv> 1.223-1.mga2
+ Revision: 170225
- new release
- new release

* Sun Jun 12 2011 sander85 <sander85> 1.221-6.mga2
+ Revision: 104342
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.221-5.mga1
+ Revision: 32305
- mageia rebuild
- imported package perl-Pango

